import os
import ilwis

work_dir = os.path.dirname(os.path.abspath(__file__))

ilwis.setWorkingCatalog(work_dir)
print(work_dir)

print('Reading .jp2 file')
file = 'T36PWA_20190925T080651_B02_20m.jp2'
rc = ilwis.RasterCoverage(file)

print('Perform boundingbox selection rcSelect')
rcSelect = ilwis.do('selection',rc ,"boundingbox(740 5, 3339 1754)")

print('Perform rasterband selection')
Vis_in = ilwis.do('selection',rcSelect,"rasterbands(0)")
Vis_cor = ilwis.do('mapcalc','(@1/10000)',Vis_in)

Vis_in.store('bas.mpr')

l = 857
c = 1174

v_vis = (Vis_in.pix2value(ilwis.Pixel(c,l)))
print('original Vis value (expected: 261.0):', v_vis)

